Skip to main content
GET
List person relationships

Authorizations

Authorization
string
header
required

Path Parameters

person_id
string
required

The Extole unique profile identifier of this user at Extole.

Query Parameters

my_roles
enum<string>[]
Available options:
ADVOCATE,
FRIEND
containers
string[]
programs
string[]
campaign_ids
string[]
data_keys
string[]
data_values
string[]
exclude_anonymous
boolean
include_duplicate_identities
boolean
include_self_referrals
boolean
offset
integer<int32>
limit
integer<int32>

Response

Successful response

campaign_id
string
required

Extole campaign id associated with this relationship. Absent when no campaign is linked.

cause_event_id
string
required

Id of the direct cause event for this relationship.

container
string
required

Campaign container in which the relationship was established.

created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

data
object
required

Named data parameters attached to this relationship.

id
string
required
read-only

Extole-assigned unique identifier for this relationship.

my_role
enum<string>
required

This person's role in the relationship (ADVOCATE or FRIEND).

Available options:
ADVOCATE,
FRIEND
other_person_id
string
required

Extole person id of the other party in the relationship.

program
string
required

Program key associated with this relationship. Absent for relationships with no program context.

root_event_id
string
required

Id of the root event that initiated this relationship.

updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"